<?php
/*
 * -----------------------------------------------------------------------------
 * 
 * <p><b>License and Copyright: </b>The contents of this file are subject to
 * the Educational Community License (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of the License
 * at <a href="http://www.opensource.org/licenses/ecl1.txt">
 * http://www.opensource.org/licenses/ecl1.txt.</a></p>
 * 
 * <p>Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.</p>
 * 
 * <p>The entire file consists of original code. Copyright &copy; 2004-2008
 * Cornell University. All rights reserved.</p>
 * 
 * -----------------------------------------------------------------------------
 */

	function getRelatedLink( $item )
	{
        $specialTag = $item->get_item_tags('http://www.w3.org/2005/Atom', 'link');
        for( $i = 0; $i < count($specialTag); ++$i ) {
        	$rel = $specialTag[$i]['attribs']['']['rel'];
        	if( $rel != 'related' )
        		continue;
	        $linkInfo['linkTitle'] = $specialTag[$i]['attribs']['']['title'];      
	        $linkInfo['linkHref']  = $specialTag[$i]['attribs']['']['href'];      
			break;        	
        }
        return $linkInfo;
    }
	
    /*
     * Get image value.
     * In the item rss...
     * Key: 0 length enclosure = small image
     * Key: 1 length enclosure = large image
     * Key: 2 length enclosure = full resolution image
     * otherwise you get one enclosure.
     * 
     * @param 
     * @return array
     */
    function getItemImage ( $item ) {
        $image = array();
        if (is_array($item->get_enclosures())) {
            foreach ($item->get_enclosures() as $key => $enclosure) {
                $enclosure_length = $enclosure->get_length();
                $enclosure_attrib = getAtomAttribs($item, $key, 'link', 'title');
                if (($enclosure_length == '0') || 
                    ($enclosure_length == '1') && (!empty($enclosure_length)) ||
                    ($enclosure_length == '2') && (!empty($enclosure_length))) {
                    $image[$enclosure_length] = array('link' => $enclosure->get_link(), 'title' => $enclosure_attrib);
                } else {
                    $image['default'] = array('link' => $enclosure->get_link(), 'title' => $enclosure_attrib);
                }
            }
        } else {
            if ($enclosure = $item->get_enclosure()) {
                $image['default'] = $enclosure->get_link();
            }
        }
        return $image;
    }

    /* Delete - not being used */
    function getImageArray ( $item ) {
        $image = array();
        if (is_array($item->get_enclosures())) {
            foreach ($item->get_enclosures() as $enclosure) {
                $enclosure_length = $enclosure->get_length();
                if (($enclosure_length != '0') && ($enclosure_length != '1')) {
                    $image[] = $enclosure->get_link();
                }
            }
        }
        return $image;
    }
    
    /*
     * Example description where getData($element = description)
     * Used by itemInfoByCategory above
     * 
     * @param $element string
     * @return string
     */
    function getData ($item, $element) {
        $specialTag = $item->get_item_tags('', $element);
        $value = $specialTag[0]['data'];
        return $value;
    }
    
    /*
     * Example atom:subtitle where getAtomData($element = subtitle)
     * Used by itemInfoByCategory above
     * 
     * @param $element string
     * @return string
     */
    function getAtomData ($item, $element) {
        $specialTag = $item->get_item_tags('http://www.w3.org/2005/Atom', $element);
        $value = $specialTag[0]['data'];
        return $value;
    }
    
   /*
	* Example atom:subtitle where getAtomAttribs($key = item key, $element = atom element label, $attrib = element attribute label)
    * Used by itemInfoByCategory above
    * 
    * @param $key string, $element string, $attrib string
    * @return array
    */
    function getAtomAttribs ($item, $key, $element, $attrib) {
        $specialTag = $item->get_item_tags('http://www.w3.org/2005/Atom', $element);
        $atomAttribs = $specialTag[$key]['attribs'][''][$attrib];
        return $atomAttribs;
    }
    
    /*
     * Example onfire:keywords where getAtomData($element = keywords)
     * Used by itemInfoByCategory above
     * 
     * @param $element string
     * @return string
     */
    function getOnfireData ($item, $element) {
        $specialTag = $item->get_item_tags('http://ns.nsdl.org/onfire/relationships#', $element);
        $value = $specialTag[0]['data'];
        return $value;
    }
    
?>